
QGIS Application - Bug report #2090

crash during buffer

2009-11-13 08:13 AM - jaanvajakas -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12150

Description

To reproduce:

   1. create a new project in Quantum GIS 1.3.0,

   2. add layer kirdem2.shp using Layers -> Add vector layer...,

   3. Set layer units to meters in Settings -> Project properties...

   4. Tools -> Geoprocessing tools -> Buffer(s), set buffer distance to -30, choose output file, click OK

Expected result: QGIS calculates inner buffer of 30 meters.

Actual result: QGIS crashes.

Associated revisions

Revision 76abb782 - 2009-11-28 09:51 PM - Jürgen Fischer

fix #2090

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12278 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c9eb2417 - 2009-11-28 09:51 PM - Jürgen Fischer

fix #2090

git-svn-id: http://svn.osgeo.org/qgis/trunk@12278 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-11-28 12:55 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

crash fixed in commit:c9eb2417 (SVN r12279).

GEOS didn't produce a valid geometry.  That probably because of islands that are to tiny for a -30m buffer.

Files

kirdem2.shp.zip 151 KB 2009-11-13 jaanvajakas -
